
/*     */
public class FlowersField 
{
	int[,] field;
	public FlowersField(int[,] field)
	{
		this.field = field;
	}
	public bool IsFlower(int i, int j)
	{
		if (i<=0 || j<=0)
			return false;
		if (i>=field.GetLength(0)-1 || j>=field.GetLength(1)-1)
			return false;
		int sum = field[i-1,j-1]+field[i+1,j-1]+field[i-1,j+1]+field[i+1,j+1];
		return (field[i,j] == sum);
	}
	public bool IsFlowery()
	{
		int count = 0;
		for (int i = 1; i < field.GetLength(0)-1; i++)
			for (int j = 1; j < field.GetLength(1)-1; j++)
				if (IsFlower(i,j))
					count++;
		return count>=5;
	}
}
