using System;
/*     */
public class DirectHit 
{
	private int[] digits;
	
	public DirectHit()
	{
		Random rnd = new Random();
		int theNum = rnd.Next(1000,10000);
        digits = SetNumInArr(theNum);
	}
	private int[] SetNumInArr(int num)
	{
		int[] arr = new int[4];
		for (int i=0; i<arr.Length; i++)
		{
			arr[i] = num % 10;
			num /= 10;
		}
		return arr;
	}
	public string TakeGuess(int guess)
	{
		if (guess<1000 || guess>9999)
			return "Illegal number";
	
		int direct=0, hit=0;
        int[] guessArr = SetNumInArr(guess);
		for (int i=0; i<digits.Length; i++)	
			if (digits[i] == guessArr[i])
				direct++;
		if (direct == digits.Length)
			return "finished";
		string ret = "Number of directs: " + direct;
		for (int i=0; i<digits.Length; i++)
			for (int j=0; j<digits.Length; j++)
				if (i!=j && digits[i]==guessArr[j])
					hit++;
		ret += "\nNumber of hits: " + hit;
		return ret;
	}
}
