
/*    */
class Jumper
{ 
	private string name;	
	private double[] jumpHeights;
	private const int NUM_OF_JUMPS = 5;

	public Jumper (string name)
	{
		this.name = name;
		jumpHeights = new double[NUM_OF_JUMPS];
		for (int i=0; i<jumpHeights.Length; i++)
			jumpHeights[i]=0;
	}
	public string GetName()
	{
		return this.name;
	}
	public int GetNumOfJumps()
	{
		return NUM_OF_JUMPS;
	}
 
	public double GetJumpBestHeight ()
	{
		double bestJump=jumpHeights[0];
		for (int i=1; i<jumpHeights.Length; i++)
			if (jumpHeights[i] > bestJump)
				bestJump = jumpHeights[i];
		return bestJump;
	}
	public void AddJumpHeight(double jumpHeight)
	{
		for (int i=0; i<jumpHeights.Length; i++)
			if (jumpHeights[i] == 0)
			{
				jumpHeights[i] = jumpHeight;
				return;
			}
	}
}
