using System;
/*   */
public class Player
{
    private int blueCards;
    private int redCards;
    private int greenCards;
    public Player()
    {
        Random r = new Random();
        blueCards = r.Next(11);
        redCards = r.Next(11 - blueCards);
        greenCards = 10 - (blueCards + redCards);
    }
    public void AddCard(int color)
    {
        if (color == 1)
            blueCards++;
        else if (color == 2)
            redCards++;
        else  //(color == 3)
            greenCards++;
    }
    public int RemoveCard()
    {
        if (blueCards <= redCards && blueCards <= greenCards)
        {
            blueCards--;
            return 1;
        }
        else
            if (redCards <= blueCards && redCards <= greenCards)
            {
                redCards--;
                return 2;
            }
        greenCards--;
        return 3;
    }

    public int GetNumOfBlueCards()
    {
        return blueCards;
    }
    public int GetNumOfRedCards()
    {
        return redCards;
    }
    public int GetNumOfGreenCards()
    {
        return greenCards;
    }
    public bool Has10SameColor()
    {
        return blueCards == 10 || redCards == 10 || greenCards == 10;
    }
}
