public class Quest7
{
    private int[,] mat;

    public Quest7(int size)
    {
        mat = new int[size, size];
    }
    //       
    public int SumRow(int row)
    {
        int sum = 0;
        for (int i = 0; i < mat.GetLength(0); i++)
            sum += mat[row, i];
        return sum;
    }
    //       
    public int SumCol(int col)
    {
        int sum = 0;
        for (int i = 0; i < mat.GetLength(0); i++)
            sum += mat[i, col];
        return sum;
    }
    //   ""     , ""   
    public bool IsEqualsRow()
    {
        int firstRow = SumRow(0);
        for (int i = 1; i < mat.GetLength(0); i++)
        {
            if (SumRow(i) != firstRow)
                return false;
        }
        return true;
    }
    //   ""     , ""   
    public bool IsEqualsCol()
    {
        int firstCol = SumCol(0);
        for (int i = 1; i < mat.GetLength(0); i++)
        {
            if (SumCol(i) != firstCol)
                return false;
        }
        return true;
    }
    //       
    public int SumMainDiagonal()
    {
        int sum = 0;
        for (int i = 1; i < mat.GetLength(0); i++)
        {
            sum += mat[i, i];
        }
        return sum;
    }
    //       
    public int SumSecondDiagonal()
    {
        int sum = 0;
        for (int i = 1; i < mat.GetLength(0); i++)
        {
            sum += mat[i, mat.GetLength(0) - i - 1];
        }
        return sum;
    }
    //   ""    , ""   
    public bool MagicSquare()
    {
        int firstRow = SumRow(0);
        //         
        return (IsEqualsCol() && IsEqualsRow() && SumMainDiagonal() == firstRow && SumSecondDiagonal() == firstRow);
    }
}
