/*    */
public class BasketBallGame 
{
	private int[] points;
	private int[] baskets;
	const int NUM_OF_PLAYERS = 10; 
	public BasketBallGame()
	{
		points = new int[NUM_OF_PLAYERS];
		baskets = new int[NUM_OF_PLAYERS];
		for (int i = 0; i < NUM_OF_PLAYERS; i++)
		{
			points[i] = 0;
			baskets[i] = 0;
		}
	}
	public void AddPoints(int player, int count)
	{
		points[player-1] += count;
		baskets[player-1]++;
	}
	public int GetMaxBasketsPlayer()
	{
		int maxPlayer=0;
		for (int i=1; i<NUM_OF_PLAYERS; i++)
			if (baskets[i] > baskets[maxPlayer])
				maxPlayer=i;
		return maxPlayer+1;		
	}
	public int GetMaxPointPlayer()
	{
		int maxPlayer = 0;
		for (int i = 1; i < NUM_OF_PLAYERS; i++)
			if (points[i] > points[maxPlayer])
				maxPlayer=i;
		return maxPlayer+1;		
	}
	public int GetMinBasketsPlayer()
	{
		int minPlayer=0;
		for (int i = 1; i < NUM_OF_PLAYERS; i++)
			if (baskets[i] < baskets[minPlayer])
				minPlayer = i;
		return minPlayer+1;		
	}
}
