public class DigitsSum
{
    int[] nums;
    public DigitsSum(int[] arr)
    {
        nums = arr;
    }
    public int[] GetDigitsSum()
    {
        int[] arr = new int[nums.Length];
        for (int i = 0; i < arr.Length; i++)
            arr[i] = GetDigitsSum(nums[i]);
        return arr;
    }
    public int[] GetDigitsSumSum()
    {
        int[] arr = new int[nums.Length];
        for (int i = 0; i < arr.Length; i++)
        {
            int sum = GetDigitsSum(nums[i]);
            while (sum >= 10)
                sum = GetDigitsSum(sum);
            arr[i] = sum;
        }
        return arr;
    }
    private int GetDigitsSum(int num)
    {
        int sum = 0;
        while (num > 0)
        {
            sum += num % 10;
            num /= 10;
        }
        return sum;
    }
}
