
/*    */
class RabbitOlympics
{
	private string name; 		
	private double[] times; 	
	public RabbitOlympics(string name, double[] times) 
	{
		this.name = name;
		this.times = new double[times.Length];
		for (int i = 0; i < times.Length; i++)
			this.times[i] = times[i];
	}
	public double GetBestResult()
	{
		double min=this.times[0];
		for (int i=1; i<times.Length; i++)
			if (this.times[i] < min)
				min = this.times[i];
		return min;
	} 
	
    public double GetAverageResult()
	{
		double sum = 0;
		int i;
		for (i = 0; i < this.times.Length; i++)
			sum += this.times[i];
		return (sum/i);
	}    
	public string GetName()
	{
		return name;
	}
} // RabbitOlympics
